# Uses of Class
org.apache.sling.repoinit.parser.operations.PathSegmentDefinition

Packages that use PathSegmentDefinition
Package
Description
org.apache.sling.repoinit.parser.operations
Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements.

## Uses of PathSegmentDefinition in org.apache.sling.repoinit.parser.operations

Methods in org.apache.sling.repoinit.parser.operations that return types with arguments of type PathSegmentDefinition
Modifier and Type
Method
Description
`List<PathSegmentDefinition>`
CreatePath.`getDefinitions()`
Deprecated.
`List<PathSegmentDefinition>`
EnsureNodes.`getDefinitions()`